import pika


def get_conn_params():
    credentials = pika.PlainCredentials('guest', 'guest')
    return pika.ConnectionParameters('localhost', credentials=credentials)


def get_nonblocking_channel(declare_exchange=True):
    channel = pika.SelectConnection(get_conn_params()).channel()

    if declare_exchange:
        channel.exchange_declare(
            exchange='hello-exchange',
            exchange_type='direct',
            passive=False,
            durable=True,
            auto_delete=False
        )

    return channel


def get_channel(declare_exchange=True):
    channel = pika.BlockingConnection(get_conn_params()).channel()

    if declare_exchange:
        channel.exchange_declare(
            exchange='hello-exchange',
            exchange_type='direct',
            passive=False,
            durable=True,
            auto_delete=False
        )

    return channel
